{ pkgs ? import <nixpkgs> {} }:

with pkgs;

let
  latexPackage = pkgs.texlive.combine {
    inherit (texlive)

    # base packages
    scheme-small

    csquotes
    latexmk
    moderncv
    needspace
    fontawesome
    silence
    wrapfig
    enumitem
    mathpazo
    ;
  };

in

pkgs.mkShell {
  buildInputs = [
    latexPackage

    # language correction
    pkgs.languagetool
    # detex script
    pkgs.python
    # make
    pkgs.gnumake
    # PDF viewer
    pkgs.zathura
  ];
}
